/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include "typestore.hpp"

namespace nostalgia::core {

ox::Result<ox::UniquePtr<ox::DescriptorType>> TypeStore::loadDescriptor(ox::CRStringView typeId) noexcept {
	constexpr auto descPath = "/.nostalgia/type_descriptors";
	auto path = ox::sfmt("{}/{}", descPath, typeId);
	oxRequire(buff, m_fs->read(path));
	auto dt = ox::make_unique<ox::DescriptorType>();
	oxReturnError(ox::readClaw<ox::DescriptorType>(buff, dt.get()));
	return dt;
}

}
