/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/foundation/module.hpp>

#include "typeconv.hpp"

namespace nostalgia::scene {

class SceneModule: public foundation::Module {
	private:
		SceneDocToSceneStaticConverter sceneDocToSceneStaticConverter;

	public:
		static SceneModule mod;
		[[nodiscard]]
		ox::Vector<foundation::TypeDescGenerator> types() const noexcept override;
		[[nodiscard]]
		ox::Vector<const foundation::BaseConverter*> converters() const noexcept override;
		[[nodiscard]]
		ox::Vector<foundation::PackTransform> packTransforms() const noexcept override;
};

}
